Skip to main content

Atrium API

Read Institutions

See which institutions are available for connection. Information returned will include the institution_code assigned to a particular institution, URLs for the financial institution's logo, and the URL for its website.

This endpoint does not tell you what credentials are required to log on to an institution's website. For that, you'll need to call the list required credentials endpoint.

GET
/institutions/{institution_code}

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/institutions/mxbank' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_14
{
_14
"institution": {
_14
"code": "mxbank",
_14
"medium_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/INS-1572a04c-912b-59bf-5841-332c7dfafaef_100x100.png",
_14
"name": "MX Bank",
_14
"small_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/50x50/INS-1572a04c-912b-59bf-5841-332c7dfafaef_50x50.png",
_14
"supports_account_identification": true,
_14
"supports_account_statement": false,
_14
"supports_account_verification": true,
_14
"supports_oauth": false,
_14
"supports_transaction_history": true,
_14
"url": "https://www.mx.com"
_14
}
_14
}